org.apache.ignite.internal.processors.cache.persistence.freelist

## Class PagesList.Stripe

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList.Stripe

Enclosing class:
  PagesList

    public static final class PagesList.Stripe
    extends Object

### Field Summary

Fields
`boolean` `empty`
`long` `tailId`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### tailId

    public volatile long tailId

#### empty

    public volatile boolean empty

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020